qualys

pdk
Install and configure the Qualys agent

16c7x

16c7x

469 downloads

469 latest version

5.0 quality score

Version information

  • 0.1.0 (latest)
released Jan 29th 2021
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2016.4.x
  • Puppet >= 4.10.0 < 7.0.0
  • CentOS
    ,
    RedHat

Start using this module

Documentation

16c7x/qualys — version 0.1.0 Jan 29th 2021

qualys

This module installs the Qualys Agent. A change

Setup

Requirements

The Qualys Puppet module supports Linux and is compatible with version >= 2018.1.0 For detailed information on compatibility.

Variable name Description
usesudo 0 or 1
sudouser scanuser
sudocommand cmd
log_level a number between 0 and 5
logfiledir directory where the log file should be created.Please make sure this directory should be accessible for agent user.
cmdmaxtimeout command max wait-time in seconds
processpriority -20 to 19
requesttimeout command max wait-time in seconds
useauditdispatcher 0 or 1
cmdstdoutsize command std output size in KB, default value is 1024 and max limit is 5120
luascripttimeout max wait-time in seconds
activationid xxxx-xx-xxxxxxx
customerid xxxx-xx-xxxxxxx
usergroup scangroup